#include "model.h"
#include <algorithm>
#include "modelerdraw.h"
#include "Kirby.h"

using namespace std;

Kirby::Kirby(const char * name) :
Model(name),
prop_angle("Propeller Angle", 0, 180, 0, 1),
lhhoriz("Left Hand Horizontal Angle", -60, 60, 0, 1),
lhvert("Left Hand Vertical Angle", -60, 60, 0, 1),
rhhoriz("Right Hand Horizontal Angle", -60, 60, 0, 1),
rhvert("Right Hand Vertical Angle", -60, 60, 0, 1),
ham_angle("Hammer Angle", 0, 360, 0, 1),
lfoot("Left Foot Angle", -45, 45, 0, 1),
rfoot("Right Foot Angle", -45, 45, 0, 1),
checkers("checkers.png")
{
	properties.add(&prop_angle)
		.add(&lhhoriz)
		.add(&lhvert)
		.add(&rhhoriz)
		.add(&rhvert)
		.add(&ham_angle)
		.add(&lfoot)
		.add(&rfoot);

	properties.setCollapsed(true);
}

void Kirby::draw() {

	drawKirby(prop_angle.getValue(),
		lhhoriz.getValue(),
		lhvert.getValue(),
		rhhoriz.getValue(),
		rhvert.getValue(),
		ham_angle.getValue(),
		lfoot.getValue(),
		rfoot.getValue());
}

void Kirby::load() {
}
